# __gnu_cxx::_AssociativeContainerConcept< _AssociativeContainer > Struct Template Reference

List of all members.

## Detailed Description

### template<class _AssociativeContainer>
struct __gnu_cxx::_AssociativeContainerConcept< _AssociativeContainer >

Definition at line 788 of file boost_concept_check.h.

## Public Types

- typedef _AssociativeContainer::const_iterator _Const_iterator
- typedef _AssociativeContainer::iterator _Iterator

## Public Member Functions

- void __const_constraints (const _AssociativeContainer &__c)
- void __constraints ()

## Public Attributes

- _AssociativeContainer __c
- _Const_iterator __ci
- std::pair< _Const_iterator,
  _Const_iterator > __cr
- _Iterator __i
- _AssociativeContainer::key_type __k
- _AssociativeContainer::size_type __n
- std::pair< _Iterator, _Iterator > __r

The documentation for this struct was generated from the following file:

- boost_concept_check.h